Add or remove items from the Elasticsearch resource keystore
- PATCH /deployments/{deployment_id}/elasticsearch/{ref_id}/keystore
Adds the specified values to the Elasticsearch keystore, or removes the keys for the unspecified values.
Request body
The new settings that will be applied to the keystore of the Elasticsearch resource.
Responses
The new contents of the Elasticsearch keystore
- The Deployment specified by {deployment_id} cannot be found. (code:
deployments.deployment_not_found) - The Resource specified by {ref_id} cannot be found. (code:
deployments.deployment_resource_not_found)
We have failed you. (code: deployments.metadata_internal_error)